Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Support require.js and r.js 2.0 #54

Merged
merged 7 commits into from Jun 16, 2012

Conversation

Projects
None yet
2 participants

It adds in those two files and adds 'shim' to the whitelist so you can set it in requirejs.yml

Just an for-now fix as we needed to deploy soon; will probably need more significant changes like taking out order.js et cetera. Feel free to ignore this one. Just curious what else would be involved to get 2.0 fully working.

Owner

jwhitley commented May 31, 2012

Hi @stammy, thanks for the pull request. Sorry for the delay on this; I meant to jump on the 2.0 release but have been slammed. Will look over this and get things sorted for a release ASAP.

FYI, you need to add .DS_Store to your git ignores. This pull request has a bunch of that particular variety of Mac filesystem junk that got sucked into it.

Since I'll never remember to add it to every repo I work with, I set core.excludesfile in my ~/.gitconfig file like so:

git config --global core.excludesfile '~/.git-global-ignores'

Then in ~/.git-global-ignores I put patterns I want to universally ignore. Generally that's system-specific metadata files like .DS_Store, editor autosave patterns, and compiler-generated artifacts.

*~
\#*#
.#*
*.o
.DS_Store

stammy commented May 31, 2012

Thanks for the git trick. Yeah no worries on pulling this one. Was just something I did to get my project working quickly.

@stammy stammy closed this May 31, 2012

@jwhitley jwhitley reopened this May 31, 2012

Owner

jwhitley commented May 31, 2012

Reopening to track landing RequireJS 2.0 in the gem. I have a nominally complete local branch but this is bombing out in my test app. Dev mode works fine but it fails to build with an error-exit from node but no exception or other output.

jwhitley added some commits May 31, 2012

@jwhitley jwhitley Update require.js and r.js to 2.0.2 release. 2f6be33
@jwhitley jwhitley order.js is deprecated with require.js 2.0 ac32f2a
@jwhitley jwhitley This change is no longer needed with r.js 2.0.
This logic was pushed upstream into r.js.
Reverted "Rewrite urls in paths to 'empty:' during build"
This reverts commit ec67111.
098bf0f
@jwhitley jwhitley Update almond.js to 0.1.1
This version of almond includes changes for RequireJS 2.0
d0b2c56
@jwhitley jwhitley Prepare for v0.9.0 release 1633e0a
@jwhitley jwhitley Add the new shim config to the whitelists 3de0cb1
@jwhitley jwhitley Change data-main formatting for RequireJS 2.0
Also remove dead _data_main code from earlier merges
453089f

@jwhitley jwhitley added a commit that referenced this pull request Jun 16, 2012

@jwhitley jwhitley Merge pull request #54 from jwhitley/requirejs-2.0.2
Support require.js and r.js 2.0.2
0e4243e

@jwhitley jwhitley merged commit 0e4243e into master Jun 16, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment